// Code generated by mockery v2.9.4. DO NOT EDIT.

package mocks

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	resources "gitlab.com/my-group322/pictures/pics-svc/resources"
)

// Connector is an autogenerated mock type for the Connector type
type Connector struct {
	mock.Mock
}

// CreateUser provides a mock function with given fields: ctx, user
func (_m *Connector) CreateUser(ctx context.Context, user *resources.UserResponse) error {
	ret := _m.Called(ctx, user)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *resources.UserResponse) error); ok {
		r0 = rf(ctx, user)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetUser provides a mock function with given fields: ctx, userID
func (_m *Connector) GetUser(ctx context.Context, userID string) (*resources.User, error) {
	ret := _m.Called(ctx, userID)

	var r0 *resources.User
	if rf, ok := ret.Get(0).(func(context.Context, string) *resources.User); ok {
		r0 = rf(ctx, userID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.User)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, userID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
